Subject: Re: [PATCH 3/3] Move all the very similar files

From: Arnd Bergmann <[email-masked]>
Date: Wed, 24 Aug 2005 22:03:26 +0200

On Middeweken 24 August 2005 20:20, Tom Rini wrote:
> On Tue, Aug 23, 2005 at 12:05:36PM -0500, Kumar Gala wrote:
> > 
> > This seems reasonable then to have them in include/asm-powerpc.  I  
> 
> No it doesn't.  You can easily make the drivers get the includes from
> <platforms/pmac/foo.h>, arch/$(ARCH) is already always in the search
> path, I believe (if not, it's easy to add Makefile things to get it).

I don't think any architecture except ppc32 has traditionally had
arch/$ARCH in its include path, and it would probably come as a surprise
to many kernel developers if this were used more.

Currently, there seem to be hardly any users of this "feature" in ppc32
that can't be trivially converted to including local files, so I'd 
rather not see this moved over to arch/powerpc.

	Arnd <><